Subject: Re: [PATCH] Do not use SHELL_PATH from build system in prepare_shell_cmd on Windows

From: Johannes Sixt <[email-masked]>
Date: Thu, 19 Apr 2012 07:36:19 +0200

Am 4/18/2012 18:30, schrieb Junio C Hamano:
> There is one thing I am confused about your response, though.  I thought
> the suggestion by Peff was to build your binary with "make SHELL_PATH=sh"
> (not "make SHELL_PATH=/bin/sh").  I do not know if that works or does not
> work (I do not see why not, though), but in either case offering a new
> customization point sounds like a separate issue.

I tried this, and it does not work. (Shell scripts' shbang line would end
up as '#!sh', and at least bash does not like to run such scripts.)

The alternative is to customize the -DSHELL_PATH=... compiler option for
Windows, and that is primarily what I don't like: It would mean that
either the name "SHELL_PATH" has different meaning in C code and the
Makefile, or we need a new name for the C macro. (The latter would be "a
new customization point".)

I learn from this conversation that I should note failed alternatives more
frequently in the commit message to save reviewers' time.

-- Hannes